[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'Character' (#rtl)

# TCharacter.IsSymbol

Check if a Unicode character is a symbol character

## Declaration

Source position: character.pas line 129

`public class function TCharacter.IsSymbol(`
`AChar: UnicodeChar`
`):Boolean; overload; class function TCharacter.IsSymbol(`
`const AString: UnicodeString;`
`AIndex: Integer`
`):Boolean; overload;`

## Arguments

`AChar` |  | UTF16 Character

## Function result

True if the indicated characters is a symbol character

## Arguments

`AString` |  | String containing UTF-16 encoded characters
`AIndex` |  | Index of UTF16 encoded character in AString to be checked.

## Description

IsSymbol returns True if a Unicode character has category that is one of the symbol categories (ucMathSymbol, ucCurrencySymbol, ucModifierSymbol, ucOtherSymbol). The character can be specified as a UTF16 character AChar or a UTF16 encoded character starting at position AIndex in string AString.

## Errors

If AIndex is not a valid character index in the string AString, an EArgumentOutOfRangeException exception is raised. If the character at that position is not complete, an EArgumentException exception is raised.

## See also

IsControl |  | Check whether a Unicode character is a Unicode control character
IsDigit |  | Check whether a Unicode character is a digit
IsSurrogate |  | Check whether a Unicode character is a surrogate
IsHighSurrogate |  | Check whether a Unicode character is a surrogate in the high range
IsLowSurrogate |  | Check whether a Unicode character is a surrogate in the low range
IsSurrogatePair |  | Check if a pair of characters is a set of high/low surrogate characters
IsLetter |  | Check if a Unicode character is a letter.
IsLetterOrDigit |  | Check if a Unicode character is a letter or digit
IsLower |  | Check if a Unicode character is a lowercase letter
IsNumber |  | Check if a Unicode character is a number
IsPunctuation |  | Check if a Unicode character is a punctuation character
IsSeparator |  | Check if a Unicode character is a separator character
IsUpper |  | Check whether a Unicode character is an uppercase letter
IsWhiteSpace |  | Check whether a Unicode character is a whitespace character